{$APPTYPE CONSOLE}
{$Q+,R+,O-}

uses SysUtils, Math;

const
	debug = 0;
	fName = 'sausage';
	eps = 1E-10;

var	r, l: extended;

function cap( x: extended ): extended;

	var root: extended;

	begin
		assert( x > -eps ); x := abs( x );
		root := sqrt( 2 * r * x - x * x );
		cap := r * r * arctan2( root, r - x ) - ( r - x ) * root;
	end;

function getArea( x: extended ): extended;

	begin
		result :=
			cap( min( x, r ) ) +
			2 * r * max( 0, min( x - r, l ) ) +
			Pi * r * r * 0.5 - cap( min( l + r * 2 - x, r ) );
	end;

function find( x, area: extended ): extended;

	var left, right, middle: extended;

	begin
		area := area + getArea( x );
		left := x; right := l + r * 2;
		while ( right - left > eps ) do begin
			middle := ( right + left ) * 0.5;
			if ( getArea( middle ) < area ) then left := middle
			else right := middle;
		end;
		find := ( right + left ) * 0.5;
	end;

var	n, i: integer;
	area, curX: extended;

begin
	reset( input, fName + '.in' );
	rewrite( output, fName + '.out' );
	repeat
		read( l, r, n ); //Radius of the circle, length of the sausage without circle, number of parts
		assert( ( r > 0 ) and ( l >= 0 ) and ( n > 0 ) );
		area := ( l * 2 * r + Pi * r * r ) / n;
		curX := 0;
		for i := 1 to n - 1 do begin
			curX := find( curX, area );
			writeln( curX : 0 : 15 );
		end;
		writeln;
	until seekEOF;
end.